import velamentum.Dialog;
import velamentum.EingabeDialog;
import velamentum.werkzeuge.Zufallsgenerator;

public class Zahlenraten {

	public static void main(String[] args) {
		Zufallsgenerator zufall = new Zufallsgenerator(1, 1000);
		
		Dialog dialog = new Dialog("Zahlenraten", "Willkommen zum Spiel!");
		dialog.zeige();
		
		dialog.zeigeNachricht("Ich habe eine Zahl zwischen 1 und 1000 gewählt. \nRaten Sie welche es ist!");
		
		EingabeDialog eDialog = new EingabeDialog("Zahlenraten", "Bitte geben Sie eine Zahl zwischen 1 und 1000 ein:", true);
		//eDialog.setzeErgebnis("0");
		
		int versuche = 0;
		
		while(eDialog.nenneErgebnisAlsZahl() != zufall.nenneErgebnis()) {
			versuche++;
			
			eDialog.zeige();
			
			if(eDialog.nenneErgebnisAlsZahl() > zufall.nenneErgebnis()) {
				dialog.zeigeNachricht("Ihre Zahl war zu groß!");
			}else if(eDialog.nenneErgebnisAlsZahl() < zufall.nenneErgebnis()) {
				dialog.zeigeNachricht("Ihre Zahl war zu klein!");
			}
		}
		
		dialog.zeigeNachricht("Herzlichen Glückwunsch! Sie haben die Zahl nach " + versuche + " Versuchen erraten.");
		
	}

}
