import velamentum.Dialog;
import velamentum.EntscheidungsDialog;
import velamentum.werkzeuge.Zufallsgenerator;

public class SchereSteinPapier {

	public static void main(String[] args) {
		
		Dialog dialog = new Dialog("Schere, Stein, Papier", "Willkommen zum Spiel!");
		dialog.zeige();
		
		EntscheidungsDialog eDialog = new EntscheidungsDialog("Schere, Stein, Papier", "Bitte wählen Sie ihren Gegenstand");
		eDialog.setzeText1("Schere");
		eDialog.setzeText2("Stein");
		eDialog.setzeText3("Papier");
		eDialog.setzeDreiTasten(true);
		
		eDialog.zeige();
		System.out.println(eDialog.nenneErgebnis());
		
		Zufallsgenerator zufall = new Zufallsgenerator(1, 3);
		System.out.println(zufall.nenneErgebnis());
		
		if(zufall.nenneErgebnis() == 1) {
			dialog.zeigeNachricht("Ich habe Schere gewählt.");
			if(eDialog.nenneErgebnis() == 1) {
				dialog.zeigeNachricht("Unentschieden!");
			}
			else if(eDialog.nenneErgebnis() == 2) {
				dialog.zeigeNachricht("Du hast gewonnen!");
			}
			else {
				dialog.zeigeNachricht("Ich habe gewonnen!");
			}
		}
		else if(zufall.nenneErgebnis() == 2) {
			dialog.zeigeNachricht("Ich habe Stein gewählt.");
			if(eDialog.nenneErgebnis() == 2) {
				dialog.zeigeNachricht("Unentschieden!");
			}
			else if(eDialog.nenneErgebnis() == 1) {
				dialog.zeigeNachricht("Ich habe gewonnen!");
			}
			else {
				dialog.zeigeNachricht("Du hast gewonnen!");
			}
		}
		else{
			dialog.zeigeNachricht("Ich habe Papier gewählt.");
			if(eDialog.nenneErgebnis() == 3) {
				dialog.zeigeNachricht("Unentschieden!");
			}
			else if(eDialog.nenneErgebnis() == 2) {
				dialog.zeigeNachricht("Ich habe gewonnen!");
			}
			else {
				dialog.zeigeNachricht("Du hast gewonnen!");
			}
		}
		

	}

}
