package velamentum;

import javax.swing.*;


public class Dialog {
	/**
	 * Die Klasse Dialog stellt einen einfachen Dialog zur Verfuegung, der eine
     * Nachricht anzeigen kann und nach Bestätigung durch den Benutzer wieder
     * verschwindet.
	 */
	
	private String titel="Titel";
	private String nachricht="Keine Nachricht eingefügt";
	
	public Dialog(String pTitel, String pNachricht) {
		/**
		 * Kontruktor. Initialisiert den Dialog.
		 * 
		 * @param pTitel (String): Setzt den Titel des Dialogs 		
		 */
		this.titel = pTitel;
		this.nachricht = pNachricht;
	}
	
	public void setzeNachricht(String pNachricht) {
		this.nachricht = pNachricht;
	}
	
	public String nenneNachricht() {
		return this.nachricht;
	}
	
	public void setzeTitel(String pTitel) {
		this.titel = pTitel;
	}
	
	public String nenneTitel() {
		return this.titel;
	}
	
	public void zeigeNachricht(String pNachricht) {
		this.nachricht = pNachricht;
		this.zeige();
	}
	
	public void zeige() {
		JFrame desk = new JFrame();
		JOptionPane.showMessageDialog(desk, this.nenneNachricht(), this.nenneTitel(), JOptionPane.PLAIN_MESSAGE);
		
	}
}
